Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.uci.ics.jung.visualization.subLayout
Class CircularSubLayout

    java.lang.Object
      edu.uci.ics.jung.visualization.subLayout.CircularSubLayout

All Implemented Interfaces:
  SubLayout

public class CircularSubLayout
extends Object
implements SubLayout

An implementation of SubLayout that places its collection of Vertices in a circle. The center and radius are settable properties.

Author:
  Tom Nelson - RABA Technologies

Field Summary
`protected Point2D` | `center`
`protected Map` | `map`
`protected double` | `radius`

Constructor Summary
`CircularSubLayout(Collection vertices, double radius, Point2D center)` create an instance with passed values

Method Summary
`Point2D` | `getLocation(ArchetypeVertex v)`
`double` | `getRadius()`
`void` | `setRadius(double radius)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### radius

    protected double radius

### center

    protected Point2D center

### map

    protected final Map map

Constructor Detail

### CircularSubLayout

    public CircularSubLayout(Collection vertices,
                             double radius,
                             Point2D center)

  create an instance with passed values

Parameters:
  `vertices` - the collection of vertices to arrange in a circle
  `radius` - the radius of the circle
  `center` - the center of the circle

Method Detail

### getRadius

    public double getRadius()

### setRadius

    public void setRadius(double radius)

### getLocation

    public Point2D getLocation(ArchetypeVertex v)

  Specified by:
    `getLocation` in interface `SubLayout`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD